## mingw-w64-sonixflasher-1.1.0-1.src.tar.zst

=== Makefile ===
# try to do some autodetecting
UNAME := $(shell uname -s)
ARCH := $(shell uname -m)

ifeq "$(UNAME)" "Darwin"
	OS=macos
endif
ifeq "$(OS)" "Windows_NT"
	OS=windows
endif
ifeq "$(UNAME)" "Linux"
	OS=linux
endif

# deal with stupid Windows not having 'cc'
ifeq (default,$(origin CC))
  CC = gcc
endif


#############  Mac
ifeq "$(OS)" "macos"

CFLAGS+=`pkg-config hidapi --cflags`
LIBS=-lhidapi -framework IOKit -framework CoreFoundation -framework AppKit
EXE=

endif

############# Windows
ifeq "$(OS)" "windows"

CFLAGS+=`pkg-config hidapi --cflags`
LIBS+= -lhidapi -lsetupapi -Wl,--enable-auto-import -static-libgcc -static-libstdc++
EXE=.exe

endif

############ Linux (hidraw)
ifeq "$(OS)" "linux"

LIBS = `pkg-config libudev --libs`
CFLAGS+=`pkg-config hidapi-libusb --cflags`
LIBS+=`pkg-config hidapi-libusb --libs`
EXE=

endif


############# common

CFLAGS+=-Wall
OBJS += sonixflasher.o

all: sonixflasher

$(OBJS): %.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@


sonixflasher: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o sonixflasher$(EXE) $(LIBS)

clean:
	rm -f $(OBJS)
	rm -f sonixflasher$(EXE)

package: sonixflasher$(EXE)
	@echo "Packaging up sonixflasher for '$(OS)-$(ARCH)'"
	7z a sonixflasher-$(OS)-$(ARCH).zip sonixflasher$(EXE)

=== PKGBUILD ===
# Maintainer: Dimitris Mantzouranis <d3xter93@gmail.com>

_realname=sonixflasher
pkgbase=mingw-w64-${_realname}
pkgname=${MINGW_PACKAGE_PREFIX}-${_realname}
pkgver=1.1.0
pkgrel=1
pkgdesc='CLI-based Flasher for Sonix 24x/26x MCUs (mingw-w64)'
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clang32' 'clangarm64')
license=('spdx:GPL-3.0-only')
depends=("${MINGW_PACKAGE_PREFIX}-pkg-config"
         "${MINGW_PACKAGE_PREFIX}-hidapi")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             'make')
url='https://github.com/SonixQMK/SonixFlasherC'
source=("https://github.com/SonixQMK/SonixFlasherC/archive/${pkgver}.tar.gz")
sha256sums=('899beef48ca8eca0d8037794870f9f58f7cb463e3a3ddfeb2b5c446edbffbef9')

build() {
  cd "${srcdir}/SonixFlasherC-${pkgver}"

  make CC=${CC}
}

package() {
  cd "${srcdir}/SonixFlasherC-${pkgver}"

  install -Dm755 sonixflasher.exe "${pkgdir}${MINGW_PREFIX}/bin/sonixflasher.exe"
}
